## org.eclipse.emf.importer.rose.parser
Class RoseLexer

    java.lang.Object
      org.eclipse.emf.importer.rose.parser.RoseLexer

    public class RoseLexer

extends java.lang.Object

A lexical analyzer that creates vector of tokens out of Rose file.

Field Summary
`protected int` `currentElement`
`protected boolean` `isList`
`protected int` `lineCounter`
`protected RoseLoader` `roseLoader`
`protected java.util.List<RoseToken>` `tokens`

Constructor Summary
`RoseLexer(RoseLoader roseLoader)`

Method Summary
`RoseToken` `getNext()`
`protected void` `getNextBlock()`
`RoseToken` `peekNext()`
`void` `printNeighbors()`
`protected void` `processToTheEnd(java.lang.String temp, int lineCounter)`
`protected void` `processValueToTheEnd(java.lang.String temp, int lineCounter)`
`void` `readLines()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### roseLoader

    protected RoseLoader roseLoader

### tokens

    protected java.util.List<RoseToken> tokens

### currentElement

    protected int currentElement

### isList

    protected boolean isList

### lineCounter

    protected int lineCounter

Constructor Detail

### RoseLexer

    public RoseLexer(RoseLoader roseLoader)

Method Detail

### getNextBlock

    protected void getNextBlock()

### getNext

    public RoseToken getNext()

### peekNext

    public RoseToken peekNext()

### printNeighbors

    public void printNeighbors()

### readLines

    public void readLines()

### processToTheEnd

    protected void processToTheEnd(java.lang.String temp,
                                   int lineCounter)

### processValueToTheEnd

    protected void processValueToTheEnd(java.lang.String temp,
                                        int lineCounter)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.